Rename an API key
Updates the credential's display name. Requires the keys:write scope when called with a scoped key.
/v1/keys/{id}Updates the credential's display name. Requires the keys:write scope when called with a scoped key.
Pass Authorization: Bearer mapleads_xxx.
In: header
Path Parameters
Resource identifier.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
1 <= length <= 64Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/keys/string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "apiKey": { "id": "string", "name": "string", "prefix": "string", "start": "string", "enabled": true, "scopes": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "lastRequest": "2019-08-24T14:15:22Z" }}Create an API key POST
Creates a scoped credential. The full `mapleads_` key is returned once and must be stored securely. Requires the `keys:write` scope when called with a scoped key.
Revoke an API key DELETE
Permanently revokes a credential. Requires the `keys:write` scope when called with a scoped key.